## org.firebirdsql.pool
Class AbstractConnectionPool.UserPasswordPair

    java.lang.Object
      org.firebirdsql.pool.AbstractConnectionPool.UserPasswordPair

Enclosing class:
  AbstractConnectionPool

    protected static class AbstractConnectionPool.UserPasswordPair

extends Object

Structure class to store user name and password.

Constructor Summary
`AbstractConnectionPool.UserPasswordPair()`
`AbstractConnectionPool.UserPasswordPair(String userName, String password)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getPassword()`
`String` `getUserName()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractConnectionPool.UserPasswordPair

    public AbstractConnectionPool.UserPasswordPair()

### AbstractConnectionPool.UserPasswordPair

    public AbstractConnectionPool.UserPasswordPair(String userName,
                                                   String password)

Method Detail

### getUserName

    public String getUserName()

### getPassword

    public String getPassword()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2001-2010. All Rights Reserved.